Subject: bug#44770: [PATCH v2 0/2] services: setuid: More configurable setuid support.

From: Chris Lemmer-Webber <[email-masked]>
Date: Mon, 05 Jul 2021 11:18:57 -0400

Ooh!  Taking a look!

Brice Waegeneire writes:

> Hello Christopher,
>
> Some times ago I continued your patch from where you left it.  If I recall
> correctly it should address all the suggestions from Ludo' and Maxim.  I'm
> using it for several month now without any issue.
>
> Thank your for your work on this issue Christopher!

Thank you!  A request... could you rename my name in the patches to
Chris Lemmer-Webber?

There have been some recent changes:

  https://dustycloud.org/blog/nonbinary-trans-femme/

"-topher" is now a deprecated suffix and I am moving to consistency with
my spouse in having a dash in my last name. :)

> Cheers,
> - Brice
>
> Brice Waegeneire (1):
>   services: Migrate to <setuid-program>.
>
> Christopher Lemmer Webber (1):
>   services: setuid: More configurable setuid support.
>
>  gnu/build/activation.scm | 38 ++++++++++++++++++++-------
>  gnu/services.scm         | 45 ++++++++++++++++++++++++++++---
>  gnu/services/dbus.scm    | 13 ++++++---
>  gnu/services/desktop.scm | 26 +++++++++++-------
>  gnu/services/docker.scm  |  9 ++++---
>  gnu/services/xorg.scm    |  4 ++-
>  gnu/system.scm           | 45 +++++++++++++++++--------------
>  gnu/system/setuid.scm    | 57 ++++++++++++++++++++++++++++++++++++++++
>  8 files changed, 186 insertions(+), 51 deletions(-)
>  create mode 100644 gnu/system/setuid.scm